about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2022-09-15 15:43:00 +0200
committerDominik Maier <domenukk@gmail.com>2022-09-15 15:43:00 +0200
commit8e3aee8a1a434ee0c962a478b0fe788f2da5707a (patch)
treed29a14422040fdaf870ec32d5717bcf604777ed4
parent636025df9a583541168ae1dea3d412c8168fe0f9 (diff)
downloadafl++-8e3aee8a1a434ee0c962a478b0fe788f2da5707a.tar.gz
Fixed unicorn_mode for aarch64, update unicorn
-rw-r--r--unicorn_mode/UNICORNAFL_VERSION2
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh10
m---------unicorn_mode/unicornafl0
3 files changed, 6 insertions, 6 deletions
diff --git a/unicorn_mode/UNICORNAFL_VERSION b/unicorn_mode/UNICORNAFL_VERSION
index 5e7234c6..bba4215c 100644
--- a/unicorn_mode/UNICORNAFL_VERSION
+++ b/unicorn_mode/UNICORNAFL_VERSION
@@ -1 +1 @@
-06796154996fef2d92ccd172181ee0cdf3631959
+6e00ceac
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index f24c8ce3..413a49e2 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -156,9 +156,9 @@ echo "[*] Making sure unicornafl is checked out"
 git status 1>/dev/null 2>/dev/null
 if [ $? -eq 0 ]; then
   echo "[*] initializing unicornafl submodule"
-  git submodule init || exit 1
-  git submodule update ./unicornafl 2>/dev/null # ignore errors
-  git submodule sync ./unicornafl 2>/dev/null # ignore errors
+  #git submodule init || exit 1
+  #git submodule update ./unicornafl 2>/dev/null # ignore errors
+  #git submodule sync ./unicornafl 2>/dev/null # ignore errors
 else
   echo "[*] cloning unicornafl"
   test -d unicornafl/.git || {
@@ -177,8 +177,8 @@ echo "[+] Got unicornafl."
 cd "unicornafl" || exit 1
 echo "[*] Checking out $UNICORNAFL_VERSION"
 git pull
-sh -c 'git stash && git stash drop' 1>/dev/null 2>/dev/null
-git checkout "$UNICORNAFL_VERSION" || exit 1
+#sh -c 'git stash && git stash drop' 1>/dev/null 2>/dev/null
+#git checkout "$UNICORNAFL_VERSION" || exit 1
 
 echo "[*] making sure afl++ header files match"
 cp "../../include/config.h" "./include" || exit 1
diff --git a/unicorn_mode/unicornafl b/unicorn_mode/unicornafl
-Subproject 06796154996fef2d92ccd172181ee0cdf363195
+Subproject 6e00ceac6fd5627e42e1858c543c84f2fbdaedd